# Class Page

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.Page

public class Page extends FBObject
This class represents a Facebook Page object https://developers.facebook.com/docs/reference/api/page/

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Page()`
  Empty Contructor
  `Page(Hashtable props)`
  Constructor with properties to initialize this page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(java.lang.Object o)`
  `String`
  `getAbout()`
  Simple Getter
  `String`
  `getCategory()`
  Simple Getter
  `String`
  `getCoverId()`
  Simple Getter
  `String`
  `getCoverLink()`
  Simple Getter
  `String`
  `getFounded()`
  Simple Getter
  `int`
  `getLikesCount()`
  Simple Getter
  `String`
  `getLink()`
  Simple Getter
  `String`
  `getUsername()`
  Simple Getter
  `String`
  `getWebsite()`
  Simple Getter
  `int`
  `hashCode()`

  ### Methods inherited from class FBObject

  `getId, getName, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Page

    public Page()
    Empty Contructor

  - ### Page

    public Page(Hashtable props)
    Constructor with properties to initialize this page.

- ## Method Details

  - ### getAbout

    public String getAbout()
    Simple Getter

  - ### getCategory

    public String getCategory()
    Simple Getter

  - ### getCoverId

    public String getCoverId()
    Simple Getter

  - ### getCoverLink

    public String getCoverLink()
    Simple Getter

  - ### getFounded

    public String getFounded()
    Simple Getter

  - ### getLikesCount

    public int getLikesCount()
    Simple Getter

  - ### getLink

    public String getLink()
    Simple Getter

  - ### getUsername

    public String getUsername()
    Simple Getter

  - ### getWebsite

    public String getWebsite()
    Simple Getter

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(java.lang.Object o)
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Overrides:
      `hashCode` in class `FBObject`